package routers

import (
	"ERP_storage/controllers"
	beego "github.com/beego/beego/v2/server/web"
)

func init() {

	validationTool := beego.NewNamespace("/validationTool",
		beego.NSRouter("/add", &controllers.ValidationController{}, "*:AddValidation"),                         // 添加验证工具
		beego.NSRouter("/list", &controllers.ValidationController{}, "*:ValidationList"),                       // 获取验证工具列表
		beego.NSRouter("/del", &controllers.ValidationController{}, "*:DeleteValidationTool"),                  // 删除验证工具
		beego.NSRouter("/update", &controllers.ValidationController{}, "*:UpdateValidationTool"),               // 修改验证工具
		beego.NSRouter("/readValidation", &controllers.ValidationController{}, "*:GetValidationToolBySn"),      // 修改验证工具
		beego.NSRouter("/updateValidation", &controllers.ValidationController{}, "*:UpdateValidationToolBySn"), // 修改验证工具
		beego.NSRouter("/ImportExcel", &controllers.ValidationController{}, "*:ImportExcel"),                   // 读取文件
		beego.NSRouter("/exportExcel", &controllers.ValidationController{}, "*:ExportValidationListExcel"),     // 读取文件
		beego.NSRouter("/class/list", &controllers.ValidationController{}, "*:Read_ValidationClass_List"),      // 读取文件
	)
	beego.AddNamespace(validationTool)
}
